Subject: RE: Delivery of posters
From: George Keck <[email-masked]>
To: Michael B <[email-masked]>
Date: Wed, 22 May 2013 20:10:36 +0000

Sorry Mike I will take care of it. George

From: Michael B [mailto:[email-masked]]
Sent: Wednesday, May 22, 2013 1:04 PM
To: George Keck
Subject: Delivery of posters

Hello George.
I just left you a voicemail but I wanted to just inform you via email.  Apparently the Federal
Contractors posters that were delivered yesterday were dropped off at the mailbox down the road.  Tony actually picked those up today and brought them back.  I am not sure if this has always been the case but the invoice has the SHIP TO address to what our mailing address is.  We should probably get that changed to 6323 W. Saginaw Hwy., Ste. E on the delivery slip so that this won't happen in the future.  The invoices that need to be paid could continue to have the 5859 W. Saginaw Hwy., #343 address on them.  Much appreciated!
Thank you,
Michael B
LLPS